require "blue/resque/scheduler/version"
require "blue/resque/scheduler/capistrano/integration"

module Blue
  module Resque
    module Scheduler

      Blue::Gems.require('blue-resque-scheduler')

      def self.pid_path
        @pid_path ||= File.join(Blue.shared_path, 'pids', 'resque_scheduler.pid')
      end

      def resque_scheduler_monitoring
        if Blue.const_defined?(:Monit)
          file "/etc/monit/conf.d/resque_scheduler.conf",
            :ensure  => :present,
            :mode    => '700',
            :backup  => false,
            :content => template(File.join(File.dirname(__FILE__), '..', '..', '..', 'templates', 'monit.conf.erb'), binding),
            :notify  => service('monit')

        elsif Blue.const_defined?(:God)
          # Define this yo'self homie.
        end
      end

      def self.included(klass)
        klass.add_role(:resque_scheduler)
        klass.class_eval do
          recipe :resque_scheduler_monitoring
        end
      end
    end
  end
end

