module Blue
  module Resque
    module Scheduler
      module Capistrano
        module Integration

          def self.load(capistrano_config)
            capistrano_config.load do

              namespace :blue do
                namespace :resque do
                  namespace :scheduler do
                    desc "Trigger Resque Scheduler restarts"
                    task :restart do
                      run "test -f #{Blue::Resque::Scheduler.pid_path} && (kill -QUIT $(cat #{Blue::Resque::Scheduler.pid_path}) && rm -rf #{Blue::Resque::Scheduler.pid_path}) || true"
                      sudo "monit restart resque_scheduler"
                    end
                  end
                end
              end

              after 'deploy:create_symlink', 'blue:resque:scheduler:restart'
            end
          end
        end
      end
    end
  end
end

if Capistrano::Configuration.instance
  Blue::Resque::Scheduler::Capistrano::Integration.load(Capistrano::Configuration.instance)
end

